> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maalbar.dk/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all locations

> Get all locations for the current customer. Paginated with defaults page=1, pageSize=50



## OpenAPI

````yaml get /logistics/locations
openapi: 3.1.0
info:
  title: MÅLBAR LCA API
  version: 1.0.0
  description: API for Life Cycle Assessment (LCA) screening capabilities
servers:
  - url: https://api.maalbar.dk/v1
    description: MÅLBAR LCA API
security: []
tags:
  - name: Components
  - name: Customer
  - name: Distributions
  - name: Geographical Locations
  - name: Locations
  - name: Materials
  - name: Methods
  - name: Packagings
  - name: Product
  - name: Products
  - name: Routes
  - name: Screening
  - name: Screenings
  - name: Supplier
  - name: Supplier Locations
  - name: Suppliers
  - name: Tags
paths:
  /logistics/locations:
    get:
      tags:
        - Locations
      summary: Get all locations
      description: >-
        Get all locations for the current customer. Paginated with defaults
        page=1, pageSize=50
      operationId: get-logistics-locations
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTransportLocationsApiOutput'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetTransportLocationsApiOutput:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetTransportLocationsApiOutputItem'
        pagination:
          $ref: '#/components/schemas/PaginationMetaSchema'
      required:
        - data
        - pagination
    GetTransportLocationsApiOutputItem:
      type: object
      properties:
        publicId:
          type: string
          minLength: 16
          maxLength: 16
          examples:
            - transportLocation_xxxxxxxxxxxx
        type:
          type: string
          enum:
            - RetailStore
            - RetailLocation
            - Warehouse
            - B2B
            - Supplier
            - FinalClient
            - Unknown
        name:
          type: string
        externalId:
          type:
            - string
            - 'null'
        address:
          type:
            - string
            - 'null'
        city:
          type:
            - string
            - 'null'
        zip:
          type:
            - string
            - 'null'
        weeksRotation:
          type:
            - integer
            - 'null'
        totalCapacity:
          type:
            - number
            - 'null'
        shelfHeight:
          type:
            - number
            - 'null'
        stores:
          type:
            - number
            - 'null'
        timeperiod:
          type:
            - string
            - 'null'
        vatNumber:
          type:
            - string
            - 'null'
          maxLength: 100
        own:
          type: boolean
        tier:
          type:
            - string
            - 'null'
          enum:
            - Tier1
            - Tier2
            - Tier3
            - Tier1And2
        geographical:
          type: object
          properties:
            location:
              type: object
              properties:
                publicId:
                  type: string
                  minLength: 16
                  maxLength: 16
                  examples:
                    - locationListItem_xxxxxxxxxxxx
                name:
                  type: string
              required:
                - publicId
                - name
          required:
            - location
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - publicId
        - type
        - name
        - own
        - geographical
        - createdAt
        - updatedAt
    PaginationMetaSchema:
      type: object
      properties:
        page:
          type: number
        pageSize:
          type: number
        totalCount:
          type: number
        totalPages:
          type: number
      required:
        - page
        - pageSize
        - totalCount
        - totalPages
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Invalid request parameters
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Authentication required
    '404':
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Resource not found
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - An unexpected error occurred
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````